// SWIG interface file

// ===========================================================================
// SMS: begin code copied from SWIG user manual

// This tells SWIG to treat char ** as a special case
%typemap(python,in) char ** {
  /* Check if is a list */
  if (PyList_Check($input)) {
    int size = PyList_Size($input);
    int i = 0;
    $1 = (char **) malloc((size+1)*sizeof(char *));
    for (i = 0; i < size; i++) {
      PyObject *o = PyList_GetItem($input,i);
      if (PyString_Check(o))
        $1[i] = PyString_AsString(PyList_GetItem($input,i));
      else {
        PyErr_SetString(PyExc_TypeError,"list must contain strings");
        free($1);
        return NULL;
      }
    }
    $1[i] = 0;
  } else {
    PyErr_SetString(PyExc_TypeError,"not a list");
    return NULL;
  }
}

// This cleans up the char ** array we malloc'd before the function call
%typemap(python,freearg) char ** {
  free((char *) $1);
}

// SMS: end code copied from SWIG user manual
// ===========================================================================

%rename py_chbind chbind;
%rename py_new_s_context new_s_context;

int py_chbind(char **IPs, char *bcast);
int py_new_s_context(int newctx, int remove_cap, int flags);

#define CTX_FLAG_LOCK		1
#define CTX_FLAG_SCHED		2
#define CTX_FLAG_NPROC		4
#define CTX_FLAG_PRIVATE	8
#define CTX_FLAG_FAKEINIT	16
#define CTX_FLAG_HIDEINFO	32

